Subject: Re: bug#49905: xref-find-references doesn't change directory to match relative filenames

From: Juri Linkov <[email-masked]>
Date: Tue, 10 Aug 2021 10:10:07 +0300

>> No problem with RET and C-o, but e.g. using 'find-file-at-point'
>> on the file name fails to find the relative file name.
>
> Is that a real problem? Do you often use find-file-at-point in
> those buffers?
>
> Perhaps the way to solve it is to finally make the groups "clickable" (as
> was requested at one point in that other report).
>
> Changing default-directory to the project root might not be so easy: the
> part of the code that know about the current project, and the one that can
> be responsible for setting default-directory, are separate.

I thought the fix could be just adding setting default-directory in the
right place.  But if this is not easy then please close this request
since I don't use find-file-at-point often.